org.eclipse.graphiti.ui.internal.config

## Class AbstractConfigurationProviderHolder

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.config.AbstractConfigurationProviderHolder

All Implemented Interfaces:
  IConfigurationProviderHolder

Direct Known Subclasses:
  DefaultEditPolicyFactory, GFEditPolicyDelegate, PictogramsEditPartFactory

    public abstract class AbstractConfigurationProviderHolder
    extends java.lang.Object
    implements IConfigurationProviderHolder

A simple implementation of the interface IConfigurationProviderHolder.

### Constructor Summary

Constructors
Constructor and Description
`AbstractConfigurationProviderHolder(IConfigurationProviderInternal configurationProvider)` Creates a new SimpleConfigurationProviderHolder.

### Method Summary

All Methods Instance Methods Concrete Methods
`IConfigurationProviderInternal` `getConfigurationProvider()` Returns the IConfigurationProviderInternal.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConfigurationProviderHolder

    public AbstractConfigurationProviderHolder(IConfigurationProviderInternal configurationProvider)

Creates a new SimpleConfigurationProviderHolder.

Parameters:
  `configurationProvider` - the configuration provider

### Method Detail

#### getConfigurationProvider

    public IConfigurationProviderInternal getConfigurationProvider()

Description copied from interface: `IConfigurationProviderHolder`
Returns the IConfigurationProviderInternal. Must not return null.

Specified by:
  `getConfigurationProvider` in interface `IConfigurationProviderHolder`
Returns:
  The IConfigurationProviderInternal. Must not return null.